Skip to main content
GET
/
api
/
presentations
/
{presentationId}
/
appointment
Get available appointment slots
curl --request GET \
  --url https://app.demand-iq.com/api/presentations/{presentationId}/appointment \
  --header 'x-presentation-token: <x-presentation-token>'
{
  "slotsByDate": {},
  "appointmentLength": 123,
  "timezone": "<string>",
  "existingAppointment": {},
  "prospectEmail": "<string>",
  "prospectPhone": "<string>"
}

Headers

x-presentation-token
string
required

HMAC presentation token for viewer authentication

Path Parameters

presentationId
string<uuid>
required

Response

Available slots and existing appointment

slotsByDate
object

Available time slots grouped by date (YYYY-MM-DD)

appointmentLength
integer

Appointment duration in minutes

timezone
string

Timezone offset identifier

existingAppointment
object

Existing booked appointment, if any

prospectEmail
string | null
prospectPhone
string | null